function draw_circle(node)

r = node(:,:,1);
z = node(:,:,3);

x_out_boss = r(1,1)*cosd(0:360);
y_out_boss = r(1,1)*sind(0:360);
z_out_boss = ones(size(x_out_boss))*z(1,1);
x_out_ring = r(1,end)*cosd(0:360);
y_out_ring = r(1,end)*sind(0:360);
z_out_ring = ones(size(x_out_ring))*z(1,end);

x_in_boss  = r(end,1)*cosd(0:360);
y_in_boss  = r(end,1)*sind(0:360);
z_in_boss  = ones(size(x_in_boss))*z(end,1);
x_in_ring  = r(end,end)*cosd(0:360);
y_in_ring  = r(end,end)*sind(0	:360);
z_in_ring  = ones(size(x_in_ring))*z(end,end);

plot3(x_out_boss,y_out_boss,z_out_boss,'b', ...
      x_out_ring,y_out_ring,z_out_ring,'b', ...
      x_in_boss ,y_in_boss ,z_in_boss ,'r', ...
      x_in_ring ,y_in_ring ,z_in_ring ,'r' ...
);
