function [U2,U2_text, ...
		  C2,C2_text, ...
		  W2,W2_text, ...
		  CU2,CU2_text, ...
		  Cm2,Cm2_text, ...
		  C2slip,C2slip_text, ...
		  W2slip,W2slip_text, ...
		  CU2slip,CU2slip_text, ...
		  Cm2slip] = ...
    outlet_velocity_plot();


C2slip=line([1 0.7],[0 0.4]); 
text_x = 0.5*sum(get(C2slip,'Xdata'));
text_y = 0.5*sum(get(C2slip,'Ydata'));
C2slip_text = text(text_x,text_y,'C_{2,slip}', ...
    'Color','b','BackgroundColor','w','Margin',1);
set(C2slip,'color','b','LineWidth',1); hold on;

W2slip=line([0.7 0],[0.4 0]); 
text_x = 0.5*sum(get(W2slip,'Xdata'));
text_y = 0.5*sum(get(W2slip,'Ydata'));
W2slip_text = text(text_x,text_y,'W_{2,slip}', ...
    'Color','g','BackgroundColor','w','Margin',1);
set(W2slip,'color','g','LineWidth',1); hold on;

CU2slip=line([0.7 1],[0 0]); 
text_x = 0.5*sum(get(CU2slip,'Xdata'));
text_y = 0.5*sum(get(CU2slip,'Ydata'));
CU2slip_text = text(text_x,text_y,'CU_{2,slip}', ...
    'Color',[0 0.8 0.8],'BackgroundColor','w','Margin',1);
set(CU2slip,'color',[0 0.8 0.8],'LineStyle','--'); hold on;

Cm2slip=line([0.7 0.7],[0 0.4]); 
set(Cm2slip,'color','m','LineStyle','--'); hold on;



U2=line([0 1],[0 0]); 
text_x = 0.5*sum(get(U2,'Xdata'));
text_y = 0.5*sum(get(U2,'Ydata'));
U2_text = text(text_x,text_y,'U_2', ...
    'Color','r','BackgroundColor','w','Margin',1);
set(U2,'color','r','LineWidth',2); hold on;

C2=line([1 0.7],[0 0.4]); 
text_x = 0.5*sum(get(C2,'Xdata'));
text_y = 0.5*sum(get(C2,'Ydata'));
C2_text = text(text_x,text_y,'C_2', ...
    'Color','b','BackgroundColor','w','Margin',1);
set(C2,'color','b','LineWidth',2); hold on;

W2=line([0.7 0],[0.4 0]); 
text_x = 0.5*sum(get(W2,'Xdata'));
text_y = 0.5*sum(get(W2,'Ydata'));
W2_text = text(text_x,text_y,'W_2', ...
    'Color','g','BackgroundColor','w','Margin',1);
set(W2,'color','g','LineWidth',2); hold on;

CU2=line([0.7 1],[0 0]); 
text_x = 0.5*sum(get(CU2,'Xdata'));
text_y = 0.5*sum(get(CU2,'Ydata'));
CU2_text = text(text_x,text_y,'CU_2', ...
    'Color',[0 0.8 0.8],'BackgroundColor','w','Margin',1);
set(CU2,'color',[0 0.8 0.8],'LineStyle','--'); hold on;

Cm2=line([0.7 0.7],[0 0.4]); 
text_x = 0.5*sum(get(Cm2,'Xdata'));
text_y = 0.5*sum(get(Cm2,'Ydata'));
Cm2_text = text(text_x,text_y,'C_m_2', ...
    'Color','m','BackgroundColor','w','Margin',1);
set(Cm2,'color','m','LineStyle','--'); hold on;


