function [U2,U2_text, ...
		  C2,C2_text, ...
		  W2,W2_text, ...
		  CU2,CU2_text, ...
		  Cm2,Cm2_text, ...
		  C2slip,C2slip_text, ...
		  W2slip,W2slip_text, ...
		  CU2slip,CU2slip_text, ...
		  Cm2slip,Cm2slip_text] = ...
    		outlet_velocity_plot_update( ...
				U2, U2_text, ...
				C2, C2_text, ...
				W2, W2_text, ...
				CU2,CU2_text, ...
				Cm2,Cm2_text, ...
				C2slip, C2slip_text, ...
				W2slip, W2slip_text, ...
				CU2slip,CU2slip_text, ...
				Cm2slip, ...
				U_2_value,C_m2_value,C_U2_value, ...
				C_U2slip_value);



% Update plot - Outlet
set(C2slip,'Xdata',[U_2_value U_2_value-C_U2slip_value], ...
       'Ydata',[0 C_m2_value]);
set(C2slip_text,'Position',[U_2_value-0.5*C_U2slip_value 0.5*C_m2_value]);

set(W2slip,'Xdata',[U_2_value-C_U2slip_value 0], ...
       'Ydata',[C_m2_value 0]);
set(W2slip_text,'Position',[0.5*(U_2_value-C_U2slip_value) 0.5*C_m2_value]);

set(CU2slip,'Xdata',[U_2_value-C_U2slip_value U_2_value]);
set(CU2slip_text,'Position',[U_2_value-0.5*C_U2slip_value 0]);

set(Cm2slip,'Xdata',[U_2_value-C_U2slip_value U_2_value-C_U2slip_value], ...
        'Ydata',[0 C_m2_value]);


set(U2,'Xdata',[0 U_2_value]);
set(U2_text,'Position',[0.5*U_2_value 0]);

set(C2,'Xdata',[U_2_value U_2_value-C_U2_value], ...
       'Ydata',[0 C_m2_value]);
set(C2_text,'Position',[U_2_value-0.5*C_U2_value 0.5*C_m2_value]);

set(W2,'Xdata',[U_2_value-C_U2_value 0], ...
       'Ydata',[C_m2_value 0]);
set(W2_text,'Position',[0.5*(U_2_value-C_U2_value) 0.5*C_m2_value]);

set(CU2,'Xdata',[U_2_value-C_U2_value U_2_value]);
set(CU2_text,'Position',[U_2_value-0.5*C_U2_value 0]);

set(Cm2,'Xdata',[U_2_value-C_U2_value U_2_value-C_U2_value], ...
        'Ydata',[0 C_m2_value]);
set(Cm2_text,'Position',[U_2_value-C_U2_value 0.5*C_m2_value]);

